import { Observable } from 'rxjs';
import { TimeboxId } from '../../util/timebox/defs/timebox_id';
import { Action } from '../../task/interfaces/action';
import { CyberUiAttentionalAgendaItemOptions } from './defs/attentional_agenda_item_options';
import { CyberUiAttentionalAgendaService } from './service';
export declare class CyberUiAttentionalAgendaItem {
    readonly service: CyberUiAttentionalAgendaService;
    label: string;
    labelRouterLink?: string;
    added: number;
    timeboxId?: TimeboxId;
    actions?: Observable<Action[]>;
    constructor(options: CyberUiAttentionalAgendaItemOptions, service: CyberUiAttentionalAgendaService);
    clear(): void;
    private getAdded;
    private getTimeboxId;
    private getActions;
}
