import { AngularFirestore } from '@angular/fire/firestore';
import { CyberUiFirestoreBackedModel } from './model';
import { CyberUiFirestoreBackedModelSaveOptions, CyberUiFirestoreBackedModelDeleteOptions } from './options';
import { CyberUiFirestorePathService } from './path_service';
export declare class CyberUiFirestoreBackend {
    readonly firestore: AngularFirestore;
    readonly firestorePathService: CyberUiFirestorePathService;
    constructor(firestore: AngularFirestore, firestorePathService: CyberUiFirestorePathService);
    deleteModel(model: CyberUiFirestoreBackedModel, options?: CyberUiFirestoreBackedModelDeleteOptions): Promise<void>;
    saveModel(model: CyberUiFirestoreBackedModel, options?: CyberUiFirestoreBackedModelSaveOptions): Promise<void>;
}
