import { CyberUiModelService } from '../interfaces/model_service';
import { CyberUiFirestoreBackend } from './backend';
import { CyberUiFirestoreBackedModel } from './model';
import { CyberUiFirestoreBackedModelDeleteOptions, CyberUiFirestoreBackedModelSaveOptions } from './options';
export declare class CyberUiFirestoreBackedModelService implements CyberUiModelService {
    readonly backend: CyberUiFirestoreBackend;
    constructor(backend: CyberUiFirestoreBackend);
    getNewEmptyModel(): CyberUiFirestoreBackedModel;
    deleteModel(model: CyberUiFirestoreBackedModel, options: CyberUiFirestoreBackedModelDeleteOptions): Promise<void>;
    saveModel(model: CyberUiFirestoreBackedModel, options: CyberUiFirestoreBackedModelSaveOptions): Promise<void>;
}
