import { OnDestroy } from '@angular/core';
import { MatMenuTrigger } from '@angular/material/menu';
import { Subscription } from 'rxjs';
import { DelegatableThing } from '../interfaces/delegatable_thing';
import { CyberUiDelegationMenuService } from './service';
import { DelegationMenuState } from './state';
export declare class DelegationMenuComponent implements OnDestroy {
    readonly delegationMenuService: CyberUiDelegationMenuService;
    delegatableThing: DelegatableThing;
    trigger: MatMenuTrigger;
    state: DelegationMenuState;
    delegationMenuServiceStateSubscription: Subscription;
    constructor(delegationMenuService: CyberUiDelegationMenuService);
    ngOnDestroy(): void;
}
