import { FormField } from '../form_field';
import { FormFieldOptions, FormFieldConfig } from '../form_field_config';
import { Outcome } from '../../probability/interfaces/outcome';
export interface DiscreteProbabilityDistributionFieldOptions extends FormFieldOptions {
    outcomePresets?: Outcome[];
}
export declare class DiscreteProbabilityDistributionFieldConfig extends FormFieldConfig {
    outcomePresets: Outcome[];
    constructor(options: DiscreteProbabilityDistributionFieldOptions);
    getOutcomePresets(outcomePresets: Outcome[] | undefined): Outcome[];
}
export declare class DiscreteProbabilityDistributionField<MODEL_T> extends FormField<MODEL_T, FormFieldOptions, FormFieldConfig> {
    constructor(options: DiscreteProbabilityDistributionFieldOptions);
}
