import { FormField } from '../form_field';
import { FormFieldOptions, FormFieldConfig } from '../form_field_config';
export interface FieldListListFieldOptions extends FormFieldOptions {
    fields: FormField[];
    contentTypeLabel?: string;
}
export declare class FieldListListFieldConfig extends FormFieldConfig {
    fields: FormField[];
    contentTypeLabel: string;
    constructor(options: FieldListListFieldOptions);
    getContentTypeLabel(label?: string): string;
}
export declare class FieldListListField<MODEL_T = {}> extends FormField<MODEL_T, FormFieldOptions, FormFieldConfig> {
    constructor(options: FieldListListFieldOptions);
}
