import { FormField } from '../form_field';
import { FormFieldOptions, FormFieldConfig } from '../form_field_config';
export interface ValueInNumericRangeFieldOptions extends FormFieldOptions {
    minValue: number;
    maxValue: number;
    step?: number;
    digitsinfo?: string;
}
export declare class ValueInNumericRangeFieldConfig extends FormFieldConfig {
    minValue: number;
    maxValue: number;
    step: number | undefined;
    digitsinfo: string | undefined;
    constructor(options: ValueInNumericRangeFieldOptions);
}
export declare class ValueInNumericRangeField<MODEL_T> extends FormField<MODEL_T, ValueInNumericRangeFieldOptions, ValueInNumericRangeFieldConfig> {
    constructor(options: ValueInNumericRangeFieldOptions);
}
