import { ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import { CyberUiInteractiveModel } from '../../model/interfaces/interactive_model';
import { CyberUiThemeService } from '../../theme/service';
import { FormField } from '../form_field';
export declare class CyberUiFilterChipsComponent {
    readonly componentFactoryResolver: ComponentFactoryResolver;
    readonly themeService: CyberUiThemeService;
    filters: FormField[];
    settings: CyberUiInteractiveModel;
    color: string;
    constructor(componentFactoryResolver: ComponentFactoryResolver, themeService: CyberUiThemeService);
    clearFilter(field: FormField): void;
    handleClick(field: FormField, viewContainer: ViewContainerRef): void;
    handleIconClick(field: FormField, viewContainer: ViewContainerRef, event?: MouseEvent): boolean;
    getLabelForField(field: FormField): string;
    isFilterActive(field: FormField): boolean;
    getTrailingIconName(field: FormField): string;
}
