import { CyberUiInteractiveModel } from '../model/interfaces/interactive_model';
import { CyberUiLiteralModel } from '../model/interfaces/literal_model';
import { FormFieldConfig, FormFieldOptions } from './form_field_config';
export declare class FormField<MODEL_T extends (CyberUiInteractiveModel | CyberUiLiteralModel) = {}, OPTIONS_T extends FormFieldOptions = FormFieldOptions, CONFIG_T extends FormFieldConfig = FormFieldConfig> {
    readonly config: CONFIG_T;
    constructor(options: OPTIONS_T, configConstructorCls: new (options: OPTIONS_T) => CONFIG_T);
    format(value: any): any;
    getModelProperty(model: MODEL_T, propertyName: string): any;
    setModelProperty(model: MODEL_T, propertyName: string, value: {}): any;
}
