import { QueryList } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { Task } from '../../interfaces/task';
import { CyberUiMinimalTaskExpansionPanelComponent } from '../minimal_expansion_panel/component';
export declare class CyberUiTaskAccordionComponent<TASK_T extends Task> {
    _tasks: Observable<TASK_T[]>;
    tasks: Observable<TASK_T[]>;
    suggestionPanels: QueryList<CyberUiMinimalTaskExpansionPanelComponent<TASK_T>>;
    tasksSubscription: Subscription;
    openFirstExpansionPanelIfExists(): void;
}
