import { ComponentFactoryResolver, SimpleChanges, ViewContainerRef } from '@angular/core';
import { Task } from '../../interfaces/task';
import { TaskBodyComponent } from '../../interfaces/task_body_component';
export declare class CyberUiMinimalTaskCardComponent<TASK_T extends Task> {
    private readonly resolver;
    bodyViewContainer: ViewContainerRef;
    actionsViewContainer: ViewContainerRef;
    task: TASK_T;
    bodyComponent: TaskBodyComponent<TASK_T>;
    actionsDisplayComponent: any;
    constructor(resolver: ComponentFactoryResolver);
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    updateActionsDisplayComponent(): void;
    updateBodyComponent(): void;
}
