import { Observable } from 'rxjs';
import { Task } from './task';
export declare type TaskProviderId = string;
export interface TaskProviderGetTasksOptions {
    deadline?: number;
}
export interface TaskProviderGetTasksResponse<TASK_T extends Task = Task> {
    tasks: TASK_T[];
}
export interface TaskProvider<TASK_T extends Task = Task> {
    getTasks(options: TaskProviderGetTasksOptions): Observable<TaskProviderGetTasksResponse<TASK_T>>;
}
