import { TopicRegistrationOptions } from './defs/topic_registration_options';
export declare const CYBER_UI_MINDFULLY_ATTEND_TO_TOPIC_DEFAULT_TIMEBOX_DURATION = 50;
export declare class CyberUiTopicRegistration<DATA_T = {}> {
    readonly label: string;
    readonly slug: string;
    readonly labelWhenUsedInASentence: string;
    readonly importance: number;
    readonly timeboxDuration: number;
    readonly data?: DATA_T;
    constructor(options: TopicRegistrationOptions<DATA_T>);
    getLabelWhenUsedInASentence(options: TopicRegistrationOptions): string;
    getImportance(options: TopicRegistrationOptions): number;
    getSlug(options: TopicRegistrationOptions): string;
    getTimeboxDuration(options: TopicRegistrationOptions): number;
}
