import { OnChanges, SimpleChanges } from '@angular/core';
import { Observable } from 'rxjs';
import { CyberUiTimeboxService } from '../service';
import { TimeboxId } from '../defs/timebox_id';
export declare class CyberUiTimeboxCountdownDisplayComponent implements OnChanges {
    readonly timeboxService: CyberUiTimeboxService;
    timeboxId: TimeboxId;
    countdown: Observable<number> | undefined;
    constructor(timeboxService: CyberUiTimeboxService);
    ngOnChanges(changes: SimpleChanges): void;
    addFiveMinutes(): void;
}
