import { ComponentRef, ComponentFactoryResolver, Type, ViewContainerRef } from '@angular/core';
import { CyberUiSavableModel } from '../../backends/interfaces/savable_model';
import { CyberUiModelService } from '../../backends/interfaces/model_service';
import { CyberUiAddThingWorkflowDisplayComponent } from './displays/default/component';
import { CyberUiAddThingWorkflowService } from './service';
export declare class CyberUiAddThingWorkflowComponent {
    readonly modelService: CyberUiModelService;
    readonly displayComponent: Type<CyberUiAddThingWorkflowDisplayComponent>;
    readonly service: CyberUiAddThingWorkflowService;
    readonly componentFactoryResolver: ComponentFactoryResolver;
    readonly viewContainerRef: ViewContainerRef;
    displayComponentRef: ComponentRef<CyberUiAddThingWorkflowDisplayComponent>;
    constructor(modelService: CyberUiModelService, displayComponent: Type<CyberUiAddThingWorkflowDisplayComponent>, service: CyberUiAddThingWorkflowService, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef);
    handleSave(model: CyberUiSavableModel): void;
    clearModel(): void;
}
