import { Observable } from 'rxjs';
import { CyberUiTimeboxService } from '../../util/timebox/service';
import { CyberUiAttentionalAgendaItemOptions } from './defs/attentional_agenda_item_options';
import { CyberUiAttentionalAgendaItem } from './attentional_agenda_item';
import { CyberUiAttentionalAgendaSnapshot } from './attentional_agenda_snapshot';
export declare class CyberUiAttentionalAgendaService {
    readonly timeboxService: CyberUiTimeboxService;
    private readonly state;
    private items;
    constructor(timeboxService: CyberUiTimeboxService);
    addItemToAttentionalAgenda(options: CyberUiAttentionalAgendaItemOptions): void;
    clearItem(item: CyberUiAttentionalAgendaItem): void;
    private emitNewState;
    getState(): Observable<CyberUiAttentionalAgendaSnapshot>;
}
