import { CyberUiFirestoreBackedModelData } from './data.interface';
import { CyberUiFirestoreBackedModelService } from './service';
import { CyberUiFirestoreBackedModelDeleteOptions } from './options';
import { CyberUiFirestoreBackedModelSaveOptions } from './options';
export declare class CyberUiFirestoreBackedModel {
    readonly firestoreBackedModelService: CyberUiFirestoreBackedModelService;
    readonly data: CyberUiFirestoreBackedModelData;
    collectionId?: string;
    id?: string;
    constructor(firestoreBackedModelService: CyberUiFirestoreBackedModelService, data?: CyberUiFirestoreBackedModelData);
    editInDialog(): void;
    getProperty(propertyName: string): any;
    setProperty(propertyName: string, value: {}): void;
    save(options?: CyberUiFirestoreBackedModelSaveOptions): Promise<void>;
    delete(options: CyberUiFirestoreBackedModelDeleteOptions): Promise<void>;
    toJson(): CyberUiFirestoreBackedModelData;
}
