import { CyberUiFirestoreBackend } from '../../backends/firestore/backend';
import { CyberUiGetTimeSinceLastEngagementOptions } from './defs/get_options';
import { CyberUiGetTimeSinceLastEngagementResponse } from './defs/get_response';
export declare class CyberUiTimeSinceLastEngagementService {
    readonly firestoreBackend: CyberUiFirestoreBackend;
    private state;
    private collection;
    constructor(firestoreBackend: CyberUiFirestoreBackend);
    private getEngagementRecord;
    getTimeSinceLastEngagement(options: CyberUiGetTimeSinceLastEngagementOptions): CyberUiGetTimeSinceLastEngagementResponse;
    indicateEngagement(collectionId: string, itemId: string): Promise<void>;
}
