import { MatDialogRef } from '@angular/material/dialog';
import { MatSnackBar } from '@angular/material/snack-bar';
import { CyberUiEditDialogParams } from './params';
export declare class CyberUiEditDialogComponent {
    readonly dialogRef: MatDialogRef<CyberUiEditDialogComponent>;
    readonly params: CyberUiEditDialogParams;
    readonly snackbar: MatSnackBar;
    title: string;
    constructor(dialogRef: MatDialogRef<CyberUiEditDialogComponent>, params: CyberUiEditDialogParams, snackbar: MatSnackBar);
    saveAndClose(): void;
    getTitle(contentTypeLabel: string): string;
}
