import { MatDialog } from '@angular/material/dialog';
import { MatSnackBar } from '@angular/material/snack-bar';
import { CyberUiActionContext } from '../../task/interfaces/action_context';
import { CyberUiEditDialogParams } from './params';
export declare const CYBER_UI_SHOW_EDIT_DIALOG_CANCEL_ACTION: {
    label: string;
    handler: (ctx: CyberUiActionContext) => void;
};
export declare class CyberUiEditDialogService {
    readonly dialog: MatDialog;
    readonly snackbar: MatSnackBar;
    constructor(dialog: MatDialog, snackbar: MatSnackBar);
    showEditDialog(params: CyberUiEditDialogParams): Promise<typeof params.model>;
    getSaveAction(saveFn: () => Promise<void>): {
        label: string;
        handler: (ctx: any) => void;
    };
}
