import { EventEmitter } from '@angular/core';
import { MatMenuTrigger } from '@angular/material/menu';
import { CyberUiInteractiveModel } from '../../../model/interfaces/interactive_model';
import { CyberUiLiteralModel } from '../../../model/interfaces/literal_model';
import { ChoiceField, Option } from '../../fields/choice';
export declare class CyberUiChoiceFieldMenuComponent {
    field: ChoiceField;
    model: CyberUiInteractiveModel | CyberUiLiteralModel;
    clear: EventEmitter<void>;
    trigger: MatMenuTrigger;
    choose(option: Option): void;
}
