import { EventEmitter } from '@angular/core';
import { SettingsSectionConfig } from '../interfaces/section_config';
import { CyberUiSettingsService } from '../service/service';
export declare class CyberUiSettingsDialogComponent<SETTINGS_T = {}> {
    readonly data: any;
    readonly settingsService: CyberUiSettingsService;
    config: SettingsSectionConfig;
    settings: SETTINGS_T;
    changes: EventEmitter<SETTINGS_T>;
    constructor(data: any, settingsService: CyberUiSettingsService);
    onChange(): void;
}
