import { ComponentFactoryResolver, ViewContainerRef, OnChanges, SimpleChanges, DoCheck } from '@angular/core';
import { MatExpansionPanel } from '@angular/material/expansion';
import { Task } from '../../interfaces/task';
import { TaskBodyComponent } from '../../interfaces/task_body_component';
export declare class CyberUiMinimalTaskExpansionPanelComponent<TASK_T extends Task> implements DoCheck, OnChanges {
    private readonly resolver;
    panel: MatExpansionPanel;
    bodyViewContainer: ViewContainerRef;
    actionsViewContainer: ViewContainerRef;
    task: TASK_T;
    bodyComponent: TaskBodyComponent<TASK_T>;
    actionsDisplayComponent: any;
    constructor(resolver: ComponentFactoryResolver);
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    updateActionsDisplayComponent(): void;
    updateBodyComponent(): void;
}
