import { CyberUiActionContext } from './action_context';
export interface Action<HANDLER_OPTIONS_T = CyberUiActionContext | undefined, HANDLER_RETURN_T = void> {
    label: string;
    handler: (options: HANDLER_OPTIONS_T) => HANDLER_RETURN_T;
    prominence?: number;
    color?: string;
    iconNames?: string[];
}
